// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 77;
	objects = {

/* Begin PBXBuildFile section */
		1B29521A2DF0B6A1002148EF /* Messages.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 1B2952192DF0B6A1002148EF /* Messages.framework */; };
		1B2952262DF0B6A3002148EF /* GIFCollectorIM.appex in Embed Foundation Extensions */ = {isa = PBXBuildFile; fileRef = 1B2952172DF0B6A1002148EF /* GIFCollectorIM.appex */; settings = {ATTRIBUTES = (RemoveHeadersOnCopy, ); }; };
		1B29523A2DF0B734002148EF /* GIFCollectorShare.appex in Embed Foundation Extensions */ = {isa = PBXBuildFile; fileRef = 1B2952302DF0B734002148EF /* GIFCollectorShare.appex */; settings = {ATTRIBUTES = (RemoveHeadersOnCopy, ); }; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		1B2952242DF0B6A3002148EF /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 1B2951FB2DF0B611002148EF /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 1B2952162DF0B6A1002148EF;
			remoteInfo = "GIF Collector";
		};
		1B2952382DF0B734002148EF /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 1B2951FB2DF0B611002148EF /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 1B29522F2DF0B734002148EF;
			remoteInfo = share;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXCopyFilesBuildPhase section */
		1B29522B2DF0B6A3002148EF /* Embed Foundation Extensions */ = {
			isa = PBXCopyFilesBuildPhase;
			buildActionMask = 2147483647;
			dstPath = "";
			dstSubfolderSpec = 13;
			files = (
				1B29523A2DF0B734002148EF /* GIFCollectorShare.appex in Embed Foundation Extensions */,
				1B2952262DF0B6A3002148EF /* GIFCollectorIM.appex in Embed Foundation Extensions */,
			);
			name = "Embed Foundation Extensions";
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXCopyFilesBuildPhase section */

/* Begin PBXFileReference section */
		1B2952032DF0B611002148EF /* GIFCollector.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = GIFCollector.app; sourceTree = BUILT_PRODUCTS_DIR; };
		1B2952172DF0B6A1002148EF /* GIFCollectorIM.appex */ = {isa = PBXFileReference; explicitFileType = "wrapper.app-extension"; includeInIndex = 0; path = GIFCollectorIM.appex; sourceTree = BUILT_PRODUCTS_DIR; };
		1B2952192DF0B6A1002148EF /* Messages.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = Messages.framework; path = System/Library/Frameworks/Messages.framework; sourceTree = SDKROOT; };
		1B2952302DF0B734002148EF /* GIFCollectorShare.appex */ = {isa = PBXFileReference; explicitFileType = "wrapper.app-extension"; includeInIndex = 0; path = GIFCollectorShare.appex; sourceTree = BUILT_PRODUCTS_DIR; };
/* End PBXFileReference section */

/* Begin PBXFileSystemSynchronizedBuildFileExceptionSet section */
		1B2952272DF0B6A3002148EF /* Exceptions for "GIFCollectorIM" folder in "GIFCollectorIM" target */ = {
			isa = PBXFileSystemSynchronizedBuildFileExceptionSet;
			membershipExceptions = (
				Info.plist,
			);
			target = 1B2952162DF0B6A1002148EF /* GIFCollectorIM */;
		};
		1B29523B2DF0B734002148EF /* Exceptions for "GIFCollectorShare" folder in "GIFCollectorShare" target */ = {
			isa = PBXFileSystemSynchronizedBuildFileExceptionSet;
			membershipExceptions = (
				Info.plist,
			);
			target = 1B29522F2DF0B734002148EF /* GIFCollectorShare */;
		};
		1B4125C72DF0D5FB001B8215 /* Exceptions for "GIFCollector" folder in "GIFCollectorIM" target */ = {
			isa = PBXFileSystemSynchronizedBuildFileExceptionSet;
			membershipExceptions = (
				ContentView.swift,
				GIF.swift,
				GIFCollectionViewCell.swift,
				Services/DownloadService.swift,
				Services/GIFFileManager.swift,
				Services/GIFStorageService.swift,
				Views/AddGIFViewController.swift,
				Views/GIFCollectionViewController.swift,
				Views/GIFPlayerView.swift,
			);
			target = 1B2952162DF0B6A1002148EF /* GIFCollectorIM */;
		};
/* End PBXFileSystemSynchronizedBuildFileExceptionSet section */

/* Begin PBXFileSystemSynchronizedRootGroup section */
		1B2952052DF0B611002148EF /* GIFCollector */ = {
			isa = PBXFileSystemSynchronizedRootGroup;
			exceptions = (
				1B4125C72DF0D5FB001B8215 /* Exceptions for "GIFCollector" folder in "GIFCollectorIM" target */,
			);
			path = GIFCollector;
			sourceTree = "<group>";
		};
		1B29521B2DF0B6A2002148EF /* GIFCollectorIM */ = {
			isa = PBXFileSystemSynchronizedRootGroup;
			exceptions = (
				1B2952272DF0B6A3002148EF /* Exceptions for "GIFCollectorIM" folder in "GIFCollectorIM" target */,
			);
			path = GIFCollectorIM;
			sourceTree = "<group>";
		};
		1B2952312DF0B734002148EF /* GIFCollectorShare */ = {
			isa = PBXFileSystemSynchronizedRootGroup;
			exceptions = (
				1B29523B2DF0B734002148EF /* Exceptions for "GIFCollectorShare" folder in "GIFCollectorShare" target */,
			);
			path = GIFCollectorShare;
			sourceTree = "<group>";
		};
/* End PBXFileSystemSynchronizedRootGroup section */

/* Begin PBXFrameworksBuildPhase section */
		1B2952002DF0B611002148EF /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		1B2952142DF0B6A1002148EF /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				1B29521A2DF0B6A1002148EF /* Messages.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		1B29522D2DF0B734002148EF /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		1B2951FA2DF0B611002148EF = {
			isa = PBXGroup;
			children = (
				1B2952052DF0B611002148EF /* GIFCollector */,
				1B29521B2DF0B6A2002148EF /* GIFCollectorIM */,
				1B2952312DF0B734002148EF /* GIFCollectorShare */,
				1B2952182DF0B6A1002148EF /* Frameworks */,
				1B2952042DF0B611002148EF /* Products */,
			);
			sourceTree = "<group>";
		};
		1B2952042DF0B611002148EF /* Products */ = {
			isa = PBXGroup;
			children = (
				1B2952032DF0B611002148EF /* GIFCollector.app */,
				1B2952172DF0B6A1002148EF /* GIFCollectorIM.appex */,
				1B2952302DF0B734002148EF /* GIFCollectorShare.appex */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		1B2952182DF0B6A1002148EF /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				1B2952192DF0B6A1002148EF /* Messages.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		1B2952022DF0B611002148EF /* GIFCollector */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 1B2952102DF0B613002148EF /* Build configuration list for PBXNativeTarget "GIFCollector" */;
			buildPhases = (
				1B2951FF2DF0B611002148EF /* Sources */,
				1B2952002DF0B611002148EF /* Frameworks */,
				1B2952012DF0B611002148EF /* Resources */,
				1B29522B2DF0B6A3002148EF /* Embed Foundation Extensions */,
			);
			buildRules = (
			);
			dependencies = (
				1B2952252DF0B6A3002148EF /* PBXTargetDependency */,
				1B2952392DF0B734002148EF /* PBXTargetDependency */,
			);
			fileSystemSynchronizedGroups = (
				1B2952052DF0B611002148EF /* GIFCollector */,
			);
			name = GIFCollector;
			packageProductDependencies = (
			);
			productName = gif;
			productReference = 1B2952032DF0B611002148EF /* GIFCollector.app */;
			productType = "com.apple.product-type.application";
		};
		1B2952162DF0B6A1002148EF /* GIFCollectorIM */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 1B2952282DF0B6A3002148EF /* Build configuration list for PBXNativeTarget "GIFCollectorIM" */;
			buildPhases = (
				1B2952132DF0B6A1002148EF /* Sources */,
				1B2952142DF0B6A1002148EF /* Frameworks */,
				1B2952152DF0B6A1002148EF /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			fileSystemSynchronizedGroups = (
				1B29521B2DF0B6A2002148EF /* GIFCollectorIM */,
			);
			name = GIFCollectorIM;
			packageProductDependencies = (
			);
			productName = "GIF Collector";
			productReference = 1B2952172DF0B6A1002148EF /* GIFCollectorIM.appex */;
			productType = "com.apple.product-type.app-extension.messages";
		};
		1B29522F2DF0B734002148EF /* GIFCollectorShare */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 1B29523C2DF0B734002148EF /* Build configuration list for PBXNativeTarget "GIFCollectorShare" */;
			buildPhases = (
				1B29522C2DF0B734002148EF /* Sources */,
				1B29522D2DF0B734002148EF /* Frameworks */,
				1B29522E2DF0B734002148EF /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			fileSystemSynchronizedGroups = (
				1B2952312DF0B734002148EF /* GIFCollectorShare */,
			);
			name = GIFCollectorShare;
			packageProductDependencies = (
			);
			productName = share;
			productReference = 1B2952302DF0B734002148EF /* GIFCollectorShare.appex */;
			productType = "com.apple.product-type.app-extension";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		1B2951FB2DF0B611002148EF /* Project object */ = {
			isa = PBXProject;
			attributes = {
				BuildIndependentTargetsInParallel = 1;
				LastSwiftUpdateCheck = 1640;
				LastUpgradeCheck = 1640;
				TargetAttributes = {
					1B2952022DF0B611002148EF = {
						CreatedOnToolsVersion = 16.4;
					};
					1B2952162DF0B6A1002148EF = {
						CreatedOnToolsVersion = 16.4;
					};
					1B29522F2DF0B734002148EF = {
						CreatedOnToolsVersion = 16.4;
					};
				};
			};
			buildConfigurationList = 1B2951FE2DF0B611002148EF /* Build configuration list for PBXProject "GIF Collector" */;
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 1B2951FA2DF0B611002148EF;
			minimizedProjectReferenceProxies = 1;
			preferredProjectObjectVersion = 77;
			productRefGroup = 1B2952042DF0B611002148EF /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				1B2952022DF0B611002148EF /* GIFCollector */,
				1B2952162DF0B6A1002148EF /* GIFCollectorIM */,
				1B29522F2DF0B734002148EF /* GIFCollectorShare */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		1B2952012DF0B611002148EF /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		1B2952152DF0B6A1002148EF /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		1B29522E2DF0B734002148EF /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		1B2951FF2DF0B611002148EF /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		1B2952132DF0B6A1002148EF /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		1B29522C2DF0B734002148EF /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		1B2952252DF0B6A3002148EF /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 1B2952162DF0B6A1002148EF /* GIFCollectorIM */;
			targetProxy = 1B2952242DF0B6A3002148EF /* PBXContainerItemProxy */;
		};
		1B2952392DF0B734002148EF /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 1B29522F2DF0B734002148EF /* GIFCollectorShare */;
			targetProxy = 1B2952382DF0B734002148EF /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin XCBuildConfiguration section */
		1B29520E2DF0B613002148EF /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				ASSETCATALOG_COMPILER_GENERATE_SWIFT_ASSET_SYMBOL_EXTENSIONS = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				ENABLE_USER_SCRIPT_SANDBOXING = YES;
				GCC_C_LANGUAGE_STANDARD = gnu17;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 18.5;
				LOCALIZATION_PREFERS_STRING_CATALOGS = YES;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = "DEBUG $(inherited)";
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		1B29520F2DF0B613002148EF /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				ASSETCATALOG_COMPILER_GENERATE_SWIFT_ASSET_SYMBOL_EXTENSIONS = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_USER_SCRIPT_SANDBOXING = YES;
				GCC_C_LANGUAGE_STANDARD = gnu17;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 18.5;
				LOCALIZATION_PREFERS_STRING_CATALOGS = YES;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		1B2952112DF0B613002148EF /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_ENTITLEMENTS = GIFCollector/GIFCollector.entitlements;
				CODE_SIGN_IDENTITY = "";
				CODE_SIGN_STYLE = Manual;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = "";
				ENABLE_PREVIEWS = YES;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_KEY_CFBundleDisplayName = "GIF Collector";
				INFOPLIST_KEY_LSApplicationCategoryType = "public.app-category.utilities";
				INFOPLIST_KEY_UIApplicationSceneManifest_Generation = YES;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchScreen_Generation = YES;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 100.3.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.abunchofknowitalls.GIFCollector;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "";
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		1B2952122DF0B613002148EF /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_ENTITLEMENTS = GIFCollector/GIFCollector.entitlements;
				CODE_SIGN_IDENTITY = "";
				CODE_SIGN_STYLE = Manual;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = "";
				ENABLE_PREVIEWS = YES;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_KEY_CFBundleDisplayName = "GIF Collector";
				INFOPLIST_KEY_LSApplicationCategoryType = "public.app-category.utilities";
				INFOPLIST_KEY_UIApplicationSceneManifest_Generation = YES;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchScreen_Generation = YES;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 100.3.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.abunchofknowitalls.GIFCollector;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "";
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		1B2952292DF0B6A3002148EF /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = "iMessage App Icon";
				CODE_SIGN_ENTITLEMENTS = GIFCollectorIM/GIFCollectorIM.entitlements;
				CODE_SIGN_IDENTITY = "";
				CODE_SIGN_STYLE = Manual;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = "";
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = GIFCollectorIM/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = "GIF Collector";
				INFOPLIST_KEY_NSHumanReadableCopyright = "";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@executable_path/../../Frameworks",
				);
				MARKETING_VERSION = 100.3.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.abunchofknowitalls.GIFCollector.iMessage;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "";
				SKIP_INSTALL = YES;
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		1B29522A2DF0B6A3002148EF /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = "iMessage App Icon";
				CODE_SIGN_ENTITLEMENTS = GIFCollectorIM/GIFCollectorIM.entitlements;
				CODE_SIGN_IDENTITY = "";
				CODE_SIGN_STYLE = Manual;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = "";
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = GIFCollectorIM/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = "GIF Collector";
				INFOPLIST_KEY_NSHumanReadableCopyright = "";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@executable_path/../../Frameworks",
				);
				MARKETING_VERSION = 100.3.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.abunchofknowitalls.GIFCollector.iMessage;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "";
				SKIP_INSTALL = YES;
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		1B29523D2DF0B734002148EF /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CODE_SIGN_ENTITLEMENTS = GIFCollectorShare/GIFCollectorShare.entitlements;
				CODE_SIGN_IDENTITY = "";
				CODE_SIGN_INJECT_BASE_ENTITLEMENTS = YES;
				CODE_SIGN_STYLE = Manual;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = "";
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = GIFCollectorShare/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = "GIF Collector";
				INFOPLIST_KEY_NSHumanReadableCopyright = "";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@executable_path/../../Frameworks",
				);
				MARKETING_VERSION = 100.3.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.abunchofknowitalls.GIFCollector.Share;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "";
				SKIP_INSTALL = YES;
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		1B29523E2DF0B734002148EF /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CODE_SIGN_ENTITLEMENTS = GIFCollectorShare/GIFCollectorShare.entitlements;
				CODE_SIGN_IDENTITY = "";
				CODE_SIGN_INJECT_BASE_ENTITLEMENTS = YES;
				CODE_SIGN_STYLE = Manual;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = "";
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = GIFCollectorShare/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = "GIF Collector";
				INFOPLIST_KEY_NSHumanReadableCopyright = "";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@executable_path/../../Frameworks",
				);
				MARKETING_VERSION = 100.3.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.abunchofknowitalls.GIFCollector.Share;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "";
				SKIP_INSTALL = YES;
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		1B2951FE2DF0B611002148EF /* Build configuration list for PBXProject "GIF Collector" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				1B29520E2DF0B613002148EF /* Debug */,
				1B29520F2DF0B613002148EF /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		1B2952102DF0B613002148EF /* Build configuration list for PBXNativeTarget "GIFCollector" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				1B2952112DF0B613002148EF /* Debug */,
				1B2952122DF0B613002148EF /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		1B2952282DF0B6A3002148EF /* Build configuration list for PBXNativeTarget "GIFCollectorIM" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				1B2952292DF0B6A3002148EF /* Debug */,
				1B29522A2DF0B6A3002148EF /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		1B29523C2DF0B734002148EF /* Build configuration list for PBXNativeTarget "GIFCollectorShare" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				1B29523D2DF0B734002148EF /* Debug */,
				1B29523E2DF0B734002148EF /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 1B2951FB2DF0B611002148EF /* Project object */;
}
